package SAE.ApiREST.WebService.repository;

import SAE.ApiREST.WebService.model.Teacher;
import org.springframework.context.annotation.Bean;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

@Repository
public interface ITeacherRepository extends JpaRepository< Teacher, Integer> {


    Teacher findByusername(String username);

    Teacher findBymail(String mail);

}
