package SAE.ApiREST.WebService.service;
import SAE.ApiREST.WebService.model.Collect;
import SAE.ApiREST.WebService.model.Article;

import java.util.List;

public interface ICollectionService{
    List<Collect> getAllCollections();
    Collect getCollectionById(long isbn);
    List<Collect> getAllCollectionsByName(String name);
    void deleteColletionById(long isbn);
    void deleteColletionByName(String name);
    void deleteAllColletionByName(String name);
    void addCollection(Collect collection);
    void addCollections(List<Collect> collection);
    void modifyCollectionName(Collect collection, String name);
    void modifyCollectionNameById(long isbn, String name);
    List<Article> getAllArticles(Collect collection);
    void addArticle(Collect collection, Article article);
    void deleteArticle(Collect collection, Article article);
}